;InnoSetupVersion=5.2.1

[Setup]
AppName=HDD Health
AppVerName=HDD Health v3.3 Beta
AppId=HDD Health
DefaultDirName={pf}\HDD Health
DefaultGroupName=HDD Health
OutputBaseFilename=in
Compression=zip
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\Win95\smartvsd.vxd"; DestDir: "{app}\Win95"; 
Source: "{app}\Win98\smartvsd.vxd"; DestDir: "{app}\Win98"; 
Source: "{app}\WinME\SMARTVSD.VXD"; DestDir: "{app}\WinME"; 
Source: "{app}\Readme.txt"; DestDir: "{app}"; 
Source: "{app}\alert.wav"; DestDir: "{app}"; 
Source: "{app}\hddhealth.exe"; DestDir: "{app}"; Flags: restartreplace uninsrestartdelete ignoreversion 
Source: "{app}\options.ini"; DestDir: "{app}"; Flags: onlyifdoesntexist 
Source: "{app}\homepage.url"; DestDir: "{app}"; 
Source: "{app}\hddhealth.chm"; DestDir: "{app}"; 
Source: "{app}\cbackup.url"; DestDir: "{app}"; 
Source: "{app}\file-recovery.url"; DestDir: "{app}"; 
Source: "{app}\license.txt"; DestDir: "{app}"; 
Source: "{sys}\iosubsys\smartvsd,1.vxd"; DestDir: "{sys}\iosubsys"; DestName: "smartvsd.vxd"; MinVersion: 4.0.950,0.0; OnlyBelowVersion: 4.1.1998,0.0; Flags: uninsneveruninstall restartreplace onlyifdoesntexist 
Source: "{sys}\iosubsys\smartvsd,2.vxd"; DestDir: "{sys}\iosubsys"; DestName: "smartvsd.vxd"; MinVersion: 4.1.1998,0.0; OnlyBelowVersion: 4.9.3000,0.0; Flags: uninsneveruninstall restartreplace onlyifdoesntexist 
Source: "{sys}\iosubsys\smartvsd,3.vxd"; DestDir: "{sys}\iosubsys"; DestName: "smartvsd.vxd"; MinVersion: 4.9.3000,0.0; Flags: uninsneveruninstall restartreplace onlyifdoesntexist 

[Dirs]
Name: "{app}\Help"; 
Name: "{app}\Help\Pics"; 
Name: "{app}\Win95"; 
Name: "{app}\Win98"; 
Name: "{app}\WinME"; 

[Registry]
Root: HKCU; Subkey: "Software\MicroSoft\Windows\CurrentVersion\Run"; ValueName: "HDDHealth"; ValueType: String; ValueData: "{app}\HDDHealth.exe -wl"; Flags: uninsdeletevalue noerror 

[Run]
Filename: "{app}\hddhealth.exe"; WorkingDir: "{app}"; Description: "Launch application"; Flags: postinstall nowait

[Icons]
Name: "{group}\HDD Health"; Filename: "{app}\hddhealth.exe"; WorkingDir: "{app}"; 
Name: "{group}\Help"; Filename: "{app}\hddhealth.chm"; WorkingDir: "{app}"; IconFilename: "{app}\hddhealth.chm"; 
Name: "{group}\Homepage"; Filename: "{app}\homepage.url"; WorkingDir: "{app}"; 
Name: "{group}\Backup utility"; Filename: "{app}\cbackup.url"; WorkingDir: "{app}"; 
Name: "{group}\File Recovery"; Filename: "{app}\file-recovery.url"; WorkingDir: "{app}"; 
Name: "{group}\License"; Filename: "{app}\License.txt"; WorkingDir: "{app}"; 
Name: "{group}\Readme"; Filename: "{app}\Readme.txt"; WorkingDir: "{app}"; 
Name: "{group}\Uninstall"; Filename: "{app}\{uninstallexe}"; WorkingDir: "{app}"; IconFilename: "{app}\unins000.exe"; 

[UninstallDelete]
Type: filesandordirs; Name: "{app}"; 
Type: files; Name: "{app}\*.*"; 

[CustomMessages]
default.NameAndVersion=%1 version %2
default.AdditionalIcons=Additional icons:
default.CreateDesktopIcon=Create a &desktop icon
default.CreateQuickLaunchIcon=Create a &Quick Launch icon
default.ProgramOnTheWeb=%1 on the Web
default.UninstallProgram=Uninstall %1
default.LaunchProgram=Launch %1
default.AssocFileExtension=&Associate %1 with the %2 file extension
default.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
